%define         _state          stable
%define         orgname         blinken
#
Summary:	KDE version of the well-known game Simon Says
Summary(pl.UTF-8):	Wersja KDE dobrze znanej gry "Simon Says"
Name:		kde4-blinken
Version:	4.9.0
Release:	1
License:	LGPL
Group:		X11/Applications/Science
Source0:	ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{orgname}-%{version}.tar.xz
# Source0-md5:	fcccd0cfdaf4f9e223e733838773a805
URL:		http://www.kde.org/
BuildRequires:	kde4-kdelibs-devel >= %{version}
Obsoletes:	kde4-kdeedu-blinken < 4.6.99
Obsoletes:	blinken < 4.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
KDE version of the well-known game Simon Says.

%description -l pl.UTF-8
Wersja KDE dobrze znanej gry "Simon Says".

%prep
%setup -q -n %{orgname}-%{version}

%build
install -d build
cd build
%cmake \
	-DCONFIG_INSTALL_DIR=%{_datadir}/config \
	-DDATA_INSTALL_DIR=%{_datadir}/apps \
	-DKCFG_INSTALL_DIR=%{_datadir}/config.kcfg \
	-DMIME_INSTALL_DIR=/nogo \
	-DTEMPLATES_INSTALL_DIR=%{_datadir}/templates \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_DISTRIBUTION_TEXT="PLD-Linux" \
	-DKDE4_ENABLE_FINAL=OFF \
	../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{orgname} --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{orgname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/blinken
%{_desktopdir}/kde4/blinken.desktop
%{_datadir}/apps/blinken
%{_datadir}/config.kcfg/blinken.kcfg
%{_iconsdir}/*/*/apps/blinken.*
%changelog
* Sun Aug 26 2012 Paweł Sikora <pawel.sikora@agmk.net> c808112
updated to 4.9.0.

* Sat Jan 21 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 0777a98
- up to 4.8.0; now as kde4-blinken

* Fri Nov 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> f41ce54
- up to 4.7.3

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 77f03d0
- rel 2

* Tue Sep 13 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 406dc51
- up to 4.7.1

* Wed Aug 03 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 1f26dff
- rel 1

* Sat Jul 23 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 2c953fe
- kde 4.7.0; raw

